## Install

Visit the following URL:

  <a href="https://vvvvvvaria.org/~decentral1se/distribusi/dist">vvvvvvaria.org/~decentral1se/distribusi/dist</a> 

You need to download the right binary for your system. distribusi aims to be
portable and run on older hardware. Let us know if you need another os/arch
supported!

If you're on good 'ol 64 bit linux, then that'll be:

  curl https://vvvvvvaria.org/~decentral1se/distribusi/distribusi_linux_amd64_v1/distribusi -o distribusi
  chmod +x distribusi

The download size is currently ~ 1.8MB. You don't need to install anything else
to use distribusi.

## Help

```
distribusi -h
USAGE:
  distribusi [options] [arguments]

DESCRIPTION:
  A low-tech content management system for the web that produces static index
  pages based on folders in the files system. It is inspired by the automatic
  index functions featured in several popular web servers.

ARGUMENTS:
  <path>  path to distribusify (default: ".")

OPTIONS:
  -d  show debug output
  -c  css file for custom styles
  -h  output help
  -i  ignore paths (e.g. "*.gif")
  -s  serve locally
  -v  output version
  -w  wipe generated files
```

## Get started

I usually run the following: "distribusi -s ." You'll see

  distribusifying... live @ http://localhost:1312

It will then try to generate files and serve them locally:

  <a href="http://localhost:1312">localhost:1312</a>

If you have a lot of files, it could take some time to generate everything.
When everything is ready, you'll see a "done!" appear in your terminal:

  distribusifying... live @ http://localhost:1312 done!

If you're wondering what it's doing, pass "-d" for debug output.

**WARNING**: __please__ take a backup of your precious files first. Pass "-w"
to delete all the generated files.

## Publishing

One option is to use "rsync" and transfer your files to your server.

  distribusi .
  rsync -avz . varia.zone:public_html
